## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FunctionFormatNumber Class Reference

`#include <FunctionFormatNumber.hpp>`

Inheritance diagram for FunctionFormatNumber:

[legend]
Collaboration diagram for FunctionFormatNumber:

[legend]
List of all members.

## Public Types

- typedef Function ParentType

## Public Methods

- FunctionFormatNumber ()
- virtual ~FunctionFormatNumber ()
- virtual XObjectPtr execute (XPathExecutionContext &executionContext, XalanNode *context, const XObjectPtr arg1, const XObjectPtr arg2, const LocatorType *locator) const
    Execute an XPath function object. More...
- virtual XObjectPtr execute (XPathExecutionContext &executionContext, XalanNode *context, const XObjectPtr arg1, const XObjectPtr arg2, const XObjectPtr arg3, const LocatorType *locator) const
    Execute an XPath function object. More...
- virtual FunctionFormatNumber* clone () const
    Create a copy of the function object. More...

## Static Public Methods

- void initialize ()
    Perform static initialization. More...
- void terminate ()
    Perform static shut down. More...

## Protected Methods

- virtual void doFormat (XPathExecutionContext &executionContext, XalanNode *context, double theNumber, const XalanDOMString &thePattern, const XalanDecimalFormatSymbols *theDFS, XalanDOMString &theResult, const LocatorType *locator, bool fWarn=true) const

## Member Typedef Documentation

typedef Function FunctionFormatNumber::ParentType

## Constructor & Destructor Documentation

FunctionFormatNumber::FunctionFormatNumber ( | )

FunctionFormatNumber::~FunctionFormatNumber ( | )`[virtual]`

## Member Function Documentation

FunctionFormatNumber * FunctionFormatNumber::clone ( | ) const`[virtual]`

| Create a copy of the function object. Returns: pointer to the new object Reimplemented from Function. Reimplemented in FunctionICUFormatNumber.

void FunctionFormatNumber::doFormat ( | XPathExecutionContext & executionContext,
| XalanNode * context,
| double theNumber,
| const XalanDOMString & thePattern,
| const XalanDecimalFormatSymbols * theDFS,
| XalanDOMString & theResult,
| const LocatorType * locator,
| bool fWarn = true ) const`[protected, virtual]`

| Reimplemented in FunctionICUFormatNumber.

XObjectPtr FunctionFormatNumber::execute ( | XPathExecutionContext & executionContext,
| XalanNode * context,
| const XObjectPtr arg1,
| const XObjectPtr arg2,
| const XObjectPtr arg3,
| const LocatorType * locator ) const`[virtual]`

  | Execute an XPath function object. The function must return a valid object. Called if function has three parameters. Parameters:
  executionContext | executing context
  context | current context node
  arg1 | pointer to XObject arguments
  arg2 | pointer to XObject argument
  arg3 | pointer to XObject argument
  locator | LocatorType instance for the XPath expression that contains the function call
Returns: pointer to the result XObject Reimplemented from Function.

XObjectPtr FunctionFormatNumber::execute ( | XPathExecutionContext & executionContext,
| XalanNode * context,
| const XObjectPtr arg1,
| const XObjectPtr arg2,
| const LocatorType * locator ) const`[virtual]`

  | Execute an XPath function object. The function must return a valid object. Called if function has two parameters. Parameters:
  executionContext | executing context
  context | current context node
  arg1 | pointer to XObject argument
  arg2 | pointer to XObject argument
  locator | LocatorType instance for the XPath expression that contains the function call
Returns: pointer to the result XObject Reimplemented from Function.

void FunctionFormatNumber::initialize ( | )`[static]`

| Perform static initialization. See class XSLTInit.

void FunctionFormatNumber::terminate ( | )`[static]`

| Perform static shut down. See class XSLTInit.

The documentation for this class was generated from the following file:

- FunctionFormatNumber.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.